#ifndef ARBDRAW_H
#define ARBDRAW_H

#include "DrawBehavior.h"
#include <QGLWidget>
#include <raytrace.h>
#include <vmath.h>

class ArbDraw : public DrawBehavior
{

    rt_arb_internal *arb;
    
public:
    ArbDraw(rt_arb_internal *arb = 0);

    void autoScale();

    void setArb(rt_arb_internal*);

    rt_arb_internal* getArb();
    
    void draw() override;
};

#endif /* ARBDRAW_H */
