#ifndef CANVAS_H
#define CANVAS_H

#include "DrawBehavior.h"

#include <QGLWidget>

class Canvas : public QGLWidget
{

    Q_OBJECT

    DrawBehavior *behavior;

public:
    Canvas(QWidget *parent = 0);

    void setDrawBehavior(DrawBehavior*);

    DrawBehavior* getDrawBehavior();

    void autoScale();

    void setScale(float);

    float getScale();

protected:
    void initializeGL() override;

    void paintGL() override;

    void resizeGL(int, int) override;
};

#endif /* CANVAS_H */
