#include "NullDrawBehavior.h"
#include <QGLWidget>

void NullDrawBehavior::draw()
{
    glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);            
}

void NullDrawBehavior::autoScale()
{
}

void NullDrawBehavior::setScale(float scale)
{
}

float NullDrawBehavior::getScale()
{
    return 1.0f;
}
