#include <QApplication>

#include "MyModel.h"
#include "MyController.h"
#include "MyWindow.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    Model *model = new MyModel();
    MyController *controller = new MyController(model);
    View *window = controller->getView();
    
    window->show();
    
    return a.exec();
}
